Bug 1902969 - Cannot load vmi detail page
Summary: Cannot load vmi detail page
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Console Kubevirt Plugin
Version: 4.7
Hardware: Unspecified
OS: Unspecified
urgent
urgent
Target Milestone: ---
: 4.7.0
Assignee: Matan Schatzman
QA Contact: Guohua Ouyang
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-12-01 02:08 UTC by Guohua Ouyang
Modified: 2021-02-24 15:36 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-02-24 15:36:33 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift console pull 7371 0 None closed Bug 1902969: Added a check on the value return from getOwnerReferences 2020-12-15 11:11:59 UTC
Red Hat Product Errata RHSA-2020:5633 0 None None None 2021-02-24 15:36:56 UTC

Description Guohua Ouyang 2020-12-01 02:08:51 UTC
Description of problem:
‘Oh no! Something went wrong.’ happens when go to vmi detail page.

Component Trace:
in Unknown
    in div
    in Unknown
    in O
    in Unknown
    in Unknown
    in O
    in Unknown
    in O
    in Unknown
    in o
    in DetailsPage
    in j
    in c
    in t
    in k
    in t
    in div
    in div
    in section
    in PageSection
    in Unknown
    in O
    in div
    in div
    in DrawerMain
    in DrawerContent
    in div
    in Drawer
    in NotificationDrawer
    in Unknown
    in O
    in main
    in div
    in Page
    in div
    in DrawerContentBody
    in div
    in div
    in DrawerMain
    in DrawerContent
    in div
    in Drawer
    in Unknown
    in O
    in F
    in F
    in c
    in O
    in Unknown
    in withExtensions()
    in withI18nextTranslation(withExtensions())
    in t
    in t
    in t
    in t
    in Suspense

Stack Trace:
TypeError: Cannot read property 'find' of undefined
    at t.a (http://0.0.0.0:9000/static/kubevirt-chunk-afe5be53e674e2675933.min.js:1:326704)
    at No (http://0.0.0.0:9000/static/vendors~main-chunk-9eb021b6cb02e8269054.min.js:220:55337)
    at ha (http://0.0.0.0:9000/static/vendors~main-chunk-9eb021b6cb02e8269054.min.js:220:62378)
    at Ys (http://0.0.0.0:9000/static/vendors~main-chunk-9eb021b6cb02e8269054.min.js:220:99519)
    at Bs (http://0.0.0.0:9000/static/vendors~main-chunk-9eb021b6cb02e8269054.min.js:220:84008)
    at Fs (http://0.0.0.0:9000/static/vendors~main-chunk-9eb021b6cb02e8269054.min.js:220:81035)
    at Ps (http://0.0.0.0:9000/static/vendors~main-chunk-9eb021b6cb02e8269054.min.js:220:79608)
    at http://0.0.0.0:9000/static/vendors~main-chunk-9eb021b6cb02e8269054.min.js:220:41759
    at t.unstable_runWithPriority (http://0.0.0.0:9000/static/vendors~main-chunk-9eb021b6cb02e8269054.min.js:228:3878)
    at li (http://0.0.0.0:9000/static/vendors~main-chunk-9eb021b6cb02e8269054.min.js:220:41488)

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 2 Guohua Ouyang 2020-12-01 02:17:48 UTC
However, visit the detail page of a VMI backed by a VM is okay.

Comment 6 errata-xmlrpc 2021-02-24 15:36:33 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.7.0 security, bug fix, and enhancement update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:5633


Note You need to log in before you can comment on or make changes to this bug.